<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['producto']) $producto=$_GET['producto']; else $producto=$_POST['producto'];


$peticion='WSGetProductosPendientesDevolucion#'.$_SESSION['empresa'].'#ALBARAN#'.$_SESSION['entradaDevolucion']['NumAlbaran'].'#'.$_SESSION['entradaDevolucion']['IdDevolucion'].'#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
if($_GET['traza']=='si') {
	echo '<p>'.$peticion.'</p>';
	//print_r($resultado);
}

$lotes=array();
$productos=arreglaArrayPXMobileProxiumResult($resultado[0]['ProductosPendientes']);

foreach($productos as $item) {
	if($item['Codigo']==$producto) $lotes[]=$item['Lote'];
}


if( count($lotes)>0 ) {

	if( count($lotes)>1 ) {
		?>
		<p>Lotes de este producto disponibles en el Albarán <?php echo $_SESSION['entradaDevolucion']['NumAlbaran']; ?></p>
		<table class="tablaFormateada">
		<tr>
			<th>Lote</th>
			<th></th>
		</tr>
		<?php
		foreach($lotes as $item) {
			?>
			<tr class="selectorLote" lote="<?php echo $item; ?>">
				<td><?php echo $item; ?></td>
				<td><img src="<?php echo DIR_IMAGENES; ?>/select.png" alt="Seleccionar" width="50" height="50" class="clicable"/></td>
			</tr>
			<?php
		}
		?>
		</table>
			
		<?php
	}
	else {
		$loteUnico=$lotes[0];
		echo "unico";
	}
	
} else {

	?><p>No hay Lotes disponibles de este producto.</p><?php
    
}
?>
    
<p><input type="submit" name="aceptarBusquedaLotes" id="aceptarBusquedaLotes" value="Aceptar" class="boton botonSecundario"/></p>

<script>

$(document).ready(function() {

	<?php if( count($lotes)>1 ) { ?>

	$('.selectorLote').on('click',function(e){
		
		e.preventDefault();
		
		var foco='lote';
		
		var lote=$(this).attr('lote');
		$('#lote').val( lote );
		
		$('#popupBusqueda').hide();
		$('#popupBusquedaContenido').hide();
		
	});

	$('#aceptarBusquedaLotes').on('click',function(e){
		
		e.preventDefault();
		
		$('#popupBusqueda').hide();
		$('#popupBusquedaContenido').hide();
		
	});
	
	<?php } else { ?>
	
	var foco='lote';
	$('#lote').val( '<?php echo $loteUnico; ?>' );
	focoSiguiente('lote');
	
	$('#popupBusqueda').hide();
	$('#popupBusquedaContenido').hide();
	
	<?php } ?>

	
});

</script>